searchData={"items":[{"type":"module","title":"HipcallDeepgram","doc":"Provides API wrappers for Deepgram API\n\nSee https://developers.deepgram.com/reference/deepgram-api-overview for further info on REST endpoints","ref":"HipcallDeepgram.html"},{"type":"function","title":"HipcallDeepgram.listen/3","doc":"Listen endpoint\n\nFor more information https://developers.deepgram.com/reference/listen-file","ref":"HipcallDeepgram.html#listen/3"},{"type":"function","title":"Examples - HipcallDeepgram.listen/3","doc":"iex> audio_url = \"https://static.deepgram.com/examples/Bueller-Life-moves-pretty-fast.wav\"\n    iex> option = [model: \"base\", language: \"tr\"]\n    iex> HipcallDeepgram.listen(audio_url, option)","ref":"HipcallDeepgram.html#listen/3-examples"},{"type":"function","title":"Arguments - HipcallDeepgram.listen/3","doc":"- `audio_url`\n- `options`\n- `config`","ref":"HipcallDeepgram.html#listen/3-arguments"},{"type":"function","title":"Options - HipcallDeepgram.listen/3","doc":"* `:model` - AI model used to process submitted audio. Default: nova-2-general.\n  Learn more https://developers.deepgram.com/docs/model The default value is `\"nova-2-general\"`.\n\n* `:language` - The BCP-47 language tag that hints at the primary spoken language. Default: en.\n  Learn more https://developers.deepgram.com/docs/language The default value is `\"en\"`.\n\n* `:punctuate` (`t:boolean/0`) - Add punctuation and capitalization to the transcript. Default: false.\n  Learn more https://developers.deepgram.com/docs/punctuation The default value is `false`.\n\n* `:diarize` (`t:boolean/0`) - Recognize speaker changes. Each word in the transcript will be assigned a speaker number starting at 0. Default: false.\n  Learn more https://developers.deepgram.com/docs/diarization The default value is `false`.\n\n* `:paragraphs` (`t:boolean/0`) - Split audio into paragraphs. Default: false.\n  Learn more https://developers.deepgram.com/docs/paragraphs The default value is `false`.\n\n* `:smart_format` (`t:boolean/0`) - Apply formatting to transcript output. When set to true, additional formatting will be applied to transcripts to improve readability. Default: false.\n  Learn more https://developers.deepgram.com/docs/smart-format The default value is `false`.","ref":"HipcallDeepgram.html#listen/3-options"},{"type":"function","title":"Raises - HipcallDeepgram.listen/3","doc":"- `NimbleOptions.ValidationError` - Validates the given options with\nthe given schema and raises if they're not valid.","ref":"HipcallDeepgram.html#listen/3-raises"},{"type":"function","title":"Returns - HipcallDeepgram.listen/3","doc":"- {:ok, Finch.Response.t()}\n- {:error, Exception.t()}","ref":"HipcallDeepgram.html#listen/3-returns"},{"type":"module","title":"HipcallDeepgram.Config","doc":"Reads configuration on application start, parses all environment variables (if any)\nand caches the final config in memory to avoid parsing on each read afterwards.","ref":"HipcallDeepgram.Config.html"},{"type":"function","title":"HipcallDeepgram.Config.api_key/0","doc":"","ref":"HipcallDeepgram.Config.html#api_key/0"},{"type":"function","title":"HipcallDeepgram.Config.api_url/0","doc":"","ref":"HipcallDeepgram.Config.html#api_url/0"}],"content_type":"text/markdown"}